Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events
Class AssociatedEventImpl

    java.lang.Object
      org.eclipse.hyades.logging.events.AssociatedEventImpl

All Implemented Interfaces:
  java.lang.Cloneable, IAssociatedEvent, java.io.Serializable

Deprecated. This class is deprecated as of 2004-05-17. Use the corresponding class available in org.eclipse.hyades.logging.events.cbe*

public class AssociatedEventImpl
extends java.lang.Object
implements IAssociatedEvent, java.io.Serializable, java.lang.Cloneable

Taken from "Canonical Situation Data Format: The Common Base Event V1.0.1 ACAB.BO0301.0.1" The AssociatedEvent type allows for associated events to be grouped. It allows for identifying associated events and its associationEngine. The associationEngine MAY be the reference to the application that created the association.

Since:
  1.0
Version:
  1.0.1
Author:
  Richard K. Duggan, Paul E. Slauenwhite
See Also:
  `IAssociatedEvent`, Serialized Form

Field Summary
`protected java.lang.String` | `associationEngine` Deprecated.
`protected IAssociationEngine` | `associationEngineInfo` Deprecated.
`protected java.util.ArrayList` | `resolvedEvents` Deprecated.

Constructor Summary
`protected` | `AssociatedEventImpl()` Deprecated. No-argument protected constructor for AssociatedEventImpl.

Method Summary
`void` | `addResolvedEvent(java.lang.String globalInstanceId)` Deprecated. Adds a Common Base Event reference to the array of resolved events.
`void` | `clearResolvedEvents()` Deprecated. Removes all Common Base Event references in the array of resolved events.
`java.lang.Object` | `clone()` Deprecated. Return a clone (copy by value) of this object.
`boolean` | `equals(java.lang.Object object)` Deprecated. Overrides the `java.lang.Object`'s equals() API to determine if the parameter `object` is equal to this object.
`java.lang.String` | `getAssociationEngine()` Deprecated. Returns the associationEngine.
`IAssociationEngine` | `getAssociationEngineInfo()` Deprecated. Returns the associationEngineInfo.
`java.lang.String` | `getResolvedEvents()` Deprecated. Returned a space delimited string of Common Base Event references of resolved events.
`java.lang.String[]` | `getResolvedEventsAsArray()` Deprecated. Returned an array of Common Base Event references of resolved events.
`void` | `init()` Deprecated. Resets the object's properties to their initial (e.g.
`void` | `removeResolvedEvent(java.lang.String globalInstanceId)` Deprecated. Removes a named Common Base Event reference in the array of resolved events.
`void` | `setAssociationEngine(java.lang.String associationEngine)` Deprecated. Sets the assocationEngine.
`void` | `setAssociationEngineInfo(IAssociationEngine associationEngineInfo)` Deprecated. Sets the associationEngineInfo.
`void` | `setAssociationEngineInfo(java.lang.String associationEngineName, java.lang.String associationEngineType, java.lang.String associationEngineId)` Deprecated. Sets the associationEngineInfo.
`void` | `setResolvedEvents(java.lang.String value)` Deprecated. Sets a space delimited list of Common Base Event references to the array of resolved events.
`void` | `setResolvedEventsAsArray(java.lang.String[] value)` Deprecated. Sets an array of Common Base Event references to the array of resolved events.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### resolvedEvents

    protected java.util.ArrayList resolvedEvents

  Deprecated.

### associationEngineInfo

    protected IAssociationEngine associationEngineInfo

  Deprecated.

### associationEngine

    protected java.lang.String associationEngine

  Deprecated.

Constructor Detail

### AssociatedEventImpl

    protected AssociatedEventImpl()

  Deprecated.
  No-argument protected constructor for AssociatedEventImpl.

Since:
  1.0

Method Detail

### addResolvedEvent

    public void addResolvedEvent(java.lang.String globalInstanceId)

  Deprecated.
  Adds a Common Base Event reference to the array of resolved events. Array of globalInstanceIds corresponding to the events that are associated with this event. This is a REQUIRED property, an arry with at least one element.

  Specified by:
    `addResolvedEvent` in interface `IAssociatedEvent`
  Parameters:
    `globalInstanceId` - The new Common Base Event globalInstanceId.
  Since:
    1.0
  See Also:
    `ICommonBaseEvent`, `IAssociatedEvent.addResolvedEvent(String)`

### setResolvedEvents

    public void setResolvedEvents(java.lang.String value)

  Deprecated.
  Description copied from interface: `IAssociatedEvent`
  Sets a space delimited list of Common Base Event references to the array of resolved events. Array of Common Base Event globalInstanceIds corresponding to the event(s) that are associated with this event. This is a REQUIRED property.

  Specified by:
    `setResolvedEvents` in interface `IAssociatedEvent`
  Parameters:
    `value` - The new space delimited list of Common Base Event references.
  See Also:
    `IAssociatedEvent.setResolvedEvents(java.lang.String)`

### setResolvedEventsAsArray

    public void setResolvedEventsAsArray(java.lang.String[] value)

  Deprecated.
  Description copied from interface: `IAssociatedEvent`
  Sets an array of Common Base Event references to the array of resolved events. Array of Common Base Event globalInstanceIds corresponding to the event(s) that are associated with this event. This is a REQUIRED property.

  Specified by:
    `setResolvedEventsAsArray` in interface `IAssociatedEvent`
  Parameters:
    `value` - The new array of Common Base Event references.
  See Also:
    `IAssociatedEvent.setResolvedEventsAsArray(java.lang.String[])`

### getResolvedEventsAsArray

    public java.lang.String[] getResolvedEventsAsArray()

  Deprecated.
  Returned an array of Common Base Event references of resolved events. Array of globalInstanceIds corresponding to the events that are associated with this event. This is a REQUIRED property, an arry with at least one element.

  Specified by:
    `getResolvedEventsAsArray` in interface `IAssociatedEvent`
  Returns:
    String array of Common Base Event references of resolved events.
  Since:
    1.0
  See Also:
    `ICommonBaseEvent`, `IAssociatedEvent.getResolvedEventsAsArray()`

### getResolvedEvents

    public java.lang.String getResolvedEvents()

  Deprecated.
  Returned a space delimited string of Common Base Event references of resolved events. Space delimited string of Common Base Event globalInstanceIds corresponding to the event(s) that are associated with this event. This is a REQUIRED property.

  Specified by:
    `getResolvedEvents` in interface `IAssociatedEvent`
  Returns:
    Space delimited string of Common Base Event references of resolved events.
  Since:
    1.0.1
  See Also:
    `ICommonBaseEvent`, `IAssociatedEvent.getResolvedEvents()`

### clearResolvedEvents

    public void clearResolvedEvents()

  Deprecated.
  Removes all Common Base Event references in the array of resolved events. Array of globalInstanceIds corresponding to the events that are associated with this event. This is a REQUIRED property, an arry with at least one element.

  Specified by:
    `clearResolvedEvents` in interface `IAssociatedEvent`
  Since:
    1.0
  See Also:
    `ICommonBaseEvent`, `IAssociatedEvent.clearResolvedEvents()`

### removeResolvedEvent

    public void removeResolvedEvent(java.lang.String globalInstanceId)

  Deprecated.
  Removes a named Common Base Event reference in the array of resolved events. Array of globalInstanceIds corresponding to the events that are associated with this event. This is a REQUIRED property, an arry with at least one element.

  Specified by:
    `removeResolvedEvent` in interface `IAssociatedEvent`
  Parameters:
    `globalInstanceId` - The removed Common Base Event globalInstanceId.
  Since:
    1.0
  See Also:
    `ICommonBaseEvent`, `IAssociatedEvent.removeResolvedEvent(String)`

### setAssociationEngine

    public void setAssociationEngine(java.lang.String associationEngine)

  Deprecated.
  Sets the assocationEngine. Identifies the application that establishes association among related or associated events. In addition, it provides properties to describe the type of the association. The associationEngine and associationEnginInfo properties are mutually exclusive. One of these properties MUST be defined.

  Specified by:
    `setAssociationEngine` in interface `IAssociatedEvent`
  Since:
    1.0
  See Also:
    `IAssociationEngine`

### getAssociationEngine

    public java.lang.String getAssociationEngine()

  Deprecated.
  Returns the associationEngine. Reference to the AssocationEngine that created this AssociatedEvent. The associationEngine and associationEnginInfo properties are mutually exclusive. One of these properties MUST be defined.

  Specified by:
    `getAssociationEngine` in interface `IAssociatedEvent`
  Returns:
    String The returned associationEngine.
  Since:
    1.0
  See Also:
    `IAssociationEngine`

### setAssociationEngineInfo

    public void setAssociationEngineInfo(IAssociationEngine associationEngineInfo)

  Deprecated.
  Sets the associationEngineInfo. Identifies the application that establishes association among related or associated events. In addition, it provides properties to describe the type of the association. The associationEngine and associationEnginInfo properties are mutually exclusive. One of these properties MUST be defined.

  Specified by:
    `setAssociationEngineInfo` in interface `IAssociatedEvent`
  Since:
    1.0
  See Also:
    `IAssociationEngine`

### setAssociationEngineInfo

    public void setAssociationEngineInfo(java.lang.String associationEngineName,
                                         java.lang.String associationEngineType,
                                         java.lang.String associationEngineId)

  Deprecated.
  Description copied from interface: `IAssociatedEvent`
  Sets the associationEngineInfo. Identifies the application that establishes association among related or associated events. In addition, it provides properties to describe the type of the association. The associationEngine and associationEnginInfo properties are mutually exclusive. One of these properties MUST be defined.

  Specified by:
    `setAssociationEngineInfo` in interface `IAssociatedEvent`
  See Also:
    `IAssociatedEvent.setAssociationEngineInfo(java.lang.String, java.lang.String, java.lang.String)`

### getAssociationEngineInfo

    public IAssociationEngine getAssociationEngineInfo()

  Deprecated.
  Returns the associationEngineInfo. Identifies the application that establishes association among related or associated events. In addition, it provides properties to describe the type of the association. The associationEngine and associationEnginInfo properties are mutually exclusive. One of these properties MUST be defined.

  Specified by:
    `getAssociationEngineInfo` in interface `IAssociatedEvent`
  Returns:
    IAssociationEngine The returned associationEngineInfo.
  Since:
    1.0
  See Also:
    `IAssociationEngine`

### equals

    public boolean equals(java.lang.Object object)

  Deprecated.
  Overrides the `java.lang.Object`'s equals() API to determine if the parameter `object` is equal to this object.

  Parameters:
    `object` - The `java.lang.Object` to be compared to this object.
  Returns:
    true if this object is the same as the parameter `object`, false otherwise.
  Since:
    1.0
  See Also:
    `Object.equals(java.lang.Object)`

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Deprecated.
  Return a clone (copy by value) of this object. This is a deep copy version, in which all the objects within this object will be copied by value.

  Returns:
    Object The clone of this object.
  Throws:
    `java.lang.CloneNotSupportedException`
  Since:
    1.0

### init

    public void init()

  Deprecated.
  Resets the object's properties to their initial (e.g. null) state.

  Specified by:
    `init` in interface `IAssociatedEvent`
  Since:
    1.0

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD